Bug 991887 - csound: FTBFS in rawhide
csound: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: csound (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20FTBFS
  Show dependency treegraph
 
Reported: 2013-08-04 22:53 EDT by Dennis Gilmore
Modified: 2013-08-13 07:26 EDT (History)
4 users (show)

See Also:
Fixed In Version: csound-5.19.01-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-13 07:26:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-08-04 22:53:45 EDT
Your package csound failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5677569

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/7569/5677569/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/7569/5677569/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/7569/5677569/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Petr Pisar 2013-08-06 06:33:07 EDT
gcc -o Engine/csound_orclex.os -c -Wno-format -DGNU_GETTEXT -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -g -fomit-frame-pointer -freorder-blocks -DLINUX -DPIPES -fvisibility=hidden -fPIC -DHAVE_LIBSNDFILE=1016 -DHAVE_FLTK -DHAVE_SOCKETS -DHAVE_PTHREAD_BARRIER_INIT -DHAVE_SYNC_LOCK_TEST_AND_SET -DHAVE_FCNTL_H -DHAVE_UNISTD_H -DHAVE_STDINT_H -DHAVE_SYS_TIME_H -DHAVE_SYS_TYPES_H -DHAVE_TERMIOS_H -DHAVE_VALUES_H -DHAVE_SOCKETS -DHAVE_DIRENT_H -DENABLE_NEW_PARSER -D__BUILDING_LIBCSOUND -D_CSOUND_RELEASE_ -DCS_DEFAULT_PLUGINDIR=\"/usr/lib/csound/plugins\" -I. -IH -I/usr/include/fltk-1.1 -I/usr/local/include -I/usr/include -I/usr/include -I/usr/X11R6/include Engine/csound_orclex.c
In file included from Engine/csound_orc.l:34:0:
Engine/csound_orcparse.h:164:39: error: unknown type name 'TREE'
 int csound_orcparse (CSOUND * csound, TREE * astTree);

Broken yacc parser?
Comment 2 Peter Robinson 2013-08-06 06:37:46 EDT
> Broken yacc parser?

I need to rebase to the latest upstream release but they've changed all the build system around so I need to get the time to assess our patch set and rebase as appropriate. Will endeavour to get it done soon (hoping before beta)
Comment 3 Mat Booth 2013-08-13 07:26:27 EDT
csound-5.19.01-1 appears to now be built for rawhide:

https://koji.fedoraproject.org/koji/buildinfo?buildID=454976

Note You need to log in before you can comment on or make changes to this bug.